Name:       igraph
Version:    0.8.3
Release:    %mkrel 1
Summary:    Library for creating and manipulating graphs
License:    GPLv2+
URL:        http://igraph.sourceforge.net/
Source0:    https://github.com/igraph/igraph/releases/download/%{version}/igraph-%{version}.tar.gz
Source1:    http://igraph.org/c/doc/igraph.info
Group:      Development/C
BuildRequires:    libxml2-devel
BuildRequires:    libgmp-devel

%description
igraph wants to be an efficient platform for
1) complex network analysis and
2) developing and implementing graph algorithms.
It provides flexible and efficient data structures for graphs and related
tasks. It also provides implementation to many classic and new graph
algorithms like: maximum flows, graph isomorphism, scale-free
networks, community structure finding, etc.

%package devel
Requires:  %{name} = %{version}-%{release}
Requires:  pkgconfig
Summary:   Development files for igraph

%description devel
The %{name}-devel package contains the header files and some
documentation needed to develop application with %{name}.

%prep
%setup -q

%build
%configure
%make_build


%install
%make_install
install -Dm0644 doc/igraph.3 %{buildroot}/%{_mandir}/man3/igraph.3
install -Dm0644 %{SOURCE1} %{buildroot}/%{_infodir}/igraph.info
rm %{buildroot}/%{_libdir}/*.a
rm %{buildroot}/%{_libdir}/*.la
find . -name '.arch-ids' | xargs rm -rf

%files
%license COPYING
%doc AUTHORS NEWS
%{_libdir}/libigraph.so.*

%files devel
%doc examples
%{_includedir}/igraph
%{_libdir}/libigraph.so
%{_libdir}/pkgconfig/igraph.pc
%doc %{_mandir}/man3/igraph.3*
%doc %{_infodir}/igraph.info*


%changelog
* Fri Oct 09 2020 shlomif <shlomif> 0.8.3-1.mga8
+ Revision: 1632962
- New version 0.8.3

* Wed Aug 19 2020 ovitters <ovitters> 0.8.2-2.mga8
+ Revision: 1616028
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Wed May 06 2020 shlomif <shlomif> 0.8.2-1.mga8
+ Revision: 1580821
- New version 0.8.2

* Fri Mar 20 2020 shlomif <shlomif> 0.8.1-1.mga8
+ Revision: 1558317
- New version 0.8.1

* Thu Feb 20 2020 umeabot <umeabot> 0.8.0-2.mga8
+ Revision: 1547312
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1487874
- New version 0.8.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 25 2019 shlomif <shlomif> 0.7.1-3.mga8
+ Revision: 1469962
- Patch from fedora: MGA#258937 / CVE-2018-20349

* Sun Sep 23 2018 umeabot <umeabot> 0.7.1-2.mga7
+ Revision: 1298284
- Mageia 7 Mass Rebuild

* Sun Dec 03 2017 shlomif <shlomif> 0.7.1-1.mga7
+ Revision: 1181099
- fix rel
- Fixes for build.
- import from MGA#21312 - thanks

